using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Data.SqlClient;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Excel = Microsoft.Office.Interop.Excel;

namespace Швейная_фабрика
{
    public partial class FormKladovschik : Form
    {
        public FormKladovschik()
        {
            InitializeComponent();
        }
        private void FormKladovschik_Load(object sender, EventArgs e)
        {
            // TODO: This line of code loads data into the 'sewing_factoryDataSet.AllTkani' table. You can move, or remove it, as needed.
            this.allTkanTableAdapter.Fill(this.сlothesFactoryLGDataSet.AllTkan);
            // TODO: This line of code loads data into the 'sewing_factoryDataSet.Furnitura' table. You can move, or remove it, as needed.
            this.furnituraTableAdapter.Fill(this.сlothesFactoryLGDataSet.Furnitura);
            // TODO: данная строка кода позволяет загрузить данные в таблицу "sewing_factoryDataSet.Users". При необходимости она может быть перемещена или удалена.
            this.usersTableAdapter.Fill(this.сlothesFactoryLGDataSet.Users);
        }
        private void BtnGetMaterial_Click(object sender, EventArgs e)
        {
            FormGetMaterial frm = new FormGetMaterial();
            if (frm.ShowDialog() == DialogResult.OK)
            {
                MessageBox.Show("Материал добавлен.", "Внимание!", MessageBoxButtons.OK, MessageBoxIcon.Information);
                this.allTkanTableAdapter.Fill(this.сlothesFactoryLGDataSet.AllTkan);
                this.furnituraTableAdapter.Fill(this.сlothesFactoryLGDataSet.Furnitura);
            }
        }

        private void BtnSpisMaterial_Click(object sender, EventArgs e)
        {
            Excel.Application exapp = new Excel.Application();
            exapp.Visible = true;
            exapp.Workbooks.Open(Application.StartupPath + "\\Списание.xlsx", Type.Missing, true);
            Excel.Worksheet list1 = (exapp.Worksheets.get_Item(1));

            int RowExcel = 24;
            list1.get_Range("H" + RowExcel).Value = "Название";
            list1.get_Range("I" + RowExcel).Value = "Цвет";
            list1.get_Range("J" + RowExcel).Value = "Длина";
            list1.get_Range("K" + RowExcel).Value = "Ширина";
            list1.get_Range("L" + RowExcel).Value = "Описание";
            RowExcel++;
            for (int i = 0; i < DgvTkani.SelectedRows.Count; i++)
            {
                list1.get_Range("A" + RowExcel).Value = "Ткань";
                list1.get_Range("H" + RowExcel).Value = DgvTkani.Rows[i].Cells[0].Value;
                list1.get_Range("I" + RowExcel).Value = DgvTkani.Rows[i].Cells[1].Value;
                list1.get_Range("J" + RowExcel).Value = DgvTkani.Rows[i].Cells[2].Value;
                list1.get_Range("K" + RowExcel).Value = DgvTkani.Rows[i].Cells[3].Value;
                list1.get_Range("L" + RowExcel).Value = DgvTkani.Rows[i].Cells[4].Value;
                RowExcel++;
            }
            RowExcel++;
            list1.get_Range("H" + RowExcel).Value = "Название";
            list1.get_Range("I" + RowExcel).Value = "Кол-во";
            RowExcel++;
            for (int i = 0; i < DgvFurnitura.SelectedRows.Count; i++)
            {
                list1.get_Range("A" + RowExcel).Value = "Фурнитура";
                list1.get_Range("H" + RowExcel).Value = DgvFurnitura.Rows[i].Cells[0].Value;
                list1.get_Range("I" + RowExcel).Value = DgvFurnitura.Rows[i].Cells[1].Value;
                list1.get_Range("J" + RowExcel).Value = "шт";
                RowExcel++;
            }
        }

        private void BtnProfile_Click(object sender, EventArgs e)
        {
            FormProfil frm = new FormProfil();
            // на форму для редактирования профиля передать 
            // фильтр для выборки авторизовавшегося пользователя
            frm.BsUsers.Filter = this.BsUsers.Filter;
            if (frm.ShowDialog() == DialogResult.OK)
            {
                this.usersTableAdapter.Fill(this.сlothesFactoryLGDataSet.Users);
            }
        }
    }
}
